import { CloudbuildApi } from './CloudbuildApi';
import { ActionsListWorkflowRunsForRepoResponseData, ActionsGetWorkflowResponseData } from '../api/types';
import { OAuthApi } from '@backstage/core-plugin-api';
/** @public */
export declare class CloudbuildClient implements CloudbuildApi {
    private readonly googleAuthApi;
    constructor(googleAuthApi: OAuthApi);
    reRunWorkflow(options: {
        projectId: string;
        location: string;
        runId: string;
    }): Promise<void>;
    listWorkflowRuns(options: {
        projectId: string;
        location: string;
        cloudBuildFilter: string;
    }): Promise<ActionsListWorkflowRunsForRepoResponseData>;
    getWorkflow(options: {
        projectId: string;
        location: string;
        id: string;
    }): Promise<ActionsGetWorkflowResponseData>;
    getWorkflowRun(options: {
        projectId: string;
        location: string;
        id: string;
    }): Promise<ActionsGetWorkflowResponseData>;
    getToken(): Promise<string>;
    private request;
}
